View Issue Details

This bug affects 1 person(s).
 10
IDProjectCategoryView StatusLast Update
18330Bug reportsPluginspublic2022-09-30 10:07
Reporterbismark Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version5.3.x 
Fixed in Version5.4.x 
Summary18330: SurveySetting type date doesnt show datepicker
Description

https://framagit.org/Shnoulle/exampleSettings/blob/master/exampleSettings.php#L232

results in the following html:

<div id="plugin[TerminPlaner][invitationDate]_datetimepicker" class="input-group date"><input id="plugin\\[TerminPlaner\\]\\[invitationDate\\]" data-format="DD.MM.YYYY HH:mm" data-allowinputtoggle="1" data-showclear="1" data-locale="de" class="form-control" type="text" value="31.08.2022" name="plugin[TerminPlaner][invitationDate]"><span class="input-group-addon"><span class="fa fa-calendar"></span></span></div>

which shows no datepicker

Steps To Reproduce

Steps to reproduce

Import and activate attached plugin, go to the plugin settings and try to pick a date

Expected result

Date picker should show up.

Actual result

No action gets triggered on click, no date picker is shown.

TagsNo tags attached.
Bug heat10
Complete LimeSurvey version number (& build)5.3.x 5.4.0
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMySQL
Server OS (if known)
Webserver software & version (if known)
PHP Version7.4

Relationships

parent of 18381 acknowledged PluginSetting type date must be saved as a common datetime string 
Not all the children of this issue are yet resolved or closed.

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

bismark

bismark

2022-08-31 10:52

reporter   ~71558

grafik.png (24,694 bytes)   
grafik.png (24,694 bytes)   
ollehar

ollehar

2022-08-31 10:53

administrator   ~71559

Does this work in LS3?

DenisChenu

DenisChenu

2022-08-31 11:00

developer   ~71560

You update it for 5.X ?
Happy to know …
https://gitlab.com/SondagesPro/SampleAndDemo/exampleSettings

Else : https://gitlab.com/SondagesPro/SampleAndDemo/exampleSettings/-/issues/2

ollehar

ollehar

2022-08-31 11:01

administrator   ~71561

You update it for 5.X ?

No idea, just curious.

gabrieljenik

gabrieljenik

2022-08-31 13:45

manager   ~71563

I would bet there is JS issue that is conflicting with the datepicker JS

Mazi

Mazi

2022-08-31 13:52

updater   ~71564

@bismark, please add the plugin for testing.

bismark

bismark

2022-08-31 23:54

reporter   ~71568

TerminPlaner.zip (2,153 bytes)
Mazi

Mazi

2022-09-07 09:17

updater   ~71623

@gabrieljenik or @ollehar, can someone look into this? We need it soon for a new project.

@DenisChenu, do you know if such a date will be localized? E.g. the user has a German date format set at his user settings and enters e.g. 31.12.2022 and then this should be saved as 2022-12-31. Does that work?

DenisChenu

DenisChenu

2022-09-07 09:18

developer   ~71624

I never use date … on my plugins

bismark

bismark

2022-09-22 10:22

reporter   ~71887

@gabrieljenik

any progress here?

gabrieljenik

gabrieljenik

2022-09-23 14:59

manager   ~71900

Will push a PR today. Have a solution.

gabrieljenik

gabrieljenik

2022-09-23 15:22

manager   ~71901

https://github.com/LimeSurvey/LimeSurvey/pull/2631

DenisChenu

DenisChenu

2022-09-24 17:20

developer   ~71932

This one is one line fix : https://github.com/LimeSurvey/LimeSurvey/pull/2632
And fix the relation between label and input too.

DenisChenu

DenisChenu

2022-09-24 17:21

developer   ~71933

@bismark : maybe your opinion :).
(and your test ;) )

bismark

bismark

2022-09-26 09:27

reporter   ~71934

https://github.com/LimeSurvey/LimeSurvey/pull/2632/commits/8e76858d185498bdc6a177a4da6b8377bee087c8

This one works, but how can I change the DateFormat? renderDate should render a date with no time
maybe there should also be a renderDateTime and renderTime method

DenisChenu

DenisChenu

2022-09-26 10:03

developer   ~71935

This one works, but how can I change the DateFormat? renderDate should render a date with no time
maybe there should also be a renderDateTime and renderTime method

Feature request please …

DenisChenu

DenisChenu

2022-09-27 19:23

developer   ~71984

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33916

Related Changesets

LimeSurvey: master 08a0ae5a

2022-09-27 19:23:17

DenisChenu


Committer: GitHub Details Diff
Fixed issue 18330: SurveySetting type date doesnt show datepicker (#2632)

Dev: fix the id with CHTml
Dev: same than other render part
Affected Issues
18330
mod - application/extensions/SettingsWidget/SettingsWidget.php Diff File

Issue History

Date Modified Username Field Change
2022-08-31 10:51 bismark New Issue
2022-08-31 10:52 bismark Note Added: 71558
2022-08-31 10:52 bismark File Added: grafik.png
2022-08-31 10:52 bismark Bug heat 0 => 2
2022-08-31 10:53 ollehar Note Added: 71559
2022-08-31 10:53 ollehar Bug heat 2 => 4
2022-08-31 11:00 DenisChenu Note Added: 71560
2022-08-31 11:00 DenisChenu Bug heat 4 => 6
2022-08-31 11:01 ollehar Note Added: 71561
2022-08-31 11:30 Mazi Steps to Reproduce Updated
2022-08-31 13:45 gabrieljenik Note Added: 71563
2022-08-31 13:45 gabrieljenik Bug heat 6 => 8
2022-08-31 13:52 Mazi Note Added: 71564
2022-08-31 13:52 Mazi Bug heat 8 => 10
2022-08-31 23:54 bismark Note Added: 71568
2022-08-31 23:54 bismark File Added: TerminPlaner.zip
2022-09-07 09:17 Mazi Note Added: 71623
2022-09-07 09:18 DenisChenu Note Added: 71624
2022-09-08 10:31 Mazi Assigned To => gabrieljenik
2022-09-08 10:31 Mazi Status new => assigned
2022-09-22 10:22 bismark Note Added: 71887
2022-09-23 14:59 gabrieljenik Note Added: 71900
2022-09-23 15:22 gabrieljenik Assigned To gabrieljenik => DenisChenu
2022-09-23 15:22 gabrieljenik Status assigned => ready for code review
2022-09-23 15:22 gabrieljenik Note Added: 71901
2022-09-24 17:20 DenisChenu Note Added: 71932
2022-09-24 17:21 DenisChenu Status ready for code review => in code review
2022-09-24 17:21 DenisChenu Note Added: 71933
2022-09-26 09:27 bismark Note Added: 71934
2022-09-26 10:03 DenisChenu Note Added: 71935
2022-09-27 19:23 DenisChenu Changeset attached => LimeSurvey master 08a0ae5a
2022-09-27 19:23 DenisChenu Note Added: 71984
2022-09-27 19:23 DenisChenu Resolution open => fixed
2022-09-28 10:35 DenisChenu Status in code review => ready for merge
2022-09-28 10:35 DenisChenu Status ready for merge => resolved
2022-09-28 10:35 DenisChenu Fixed in Version => 5.4.x
2022-09-30 10:07 Mazi Relationship added parent of 18381